package com.zanxiang.sdk.common.util;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.client.j2se.MatrixToImageWriter;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
import com.zanxiang.common.constant.Constants;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2021-11-23
 * @description : 二维码
 */
public class QrCode {

    /**
     * 生成二维码
     *
     * @param qrCode  : 链接
     * @param imgPath : 图片路径
     */
    public static void createQrCodeImage(String qrCode, String imgPath) {
        int height = 256;
        String format = "png";
        Map<EncodeHintType, Object> map = new HashMap<>(3);
        map.put(EncodeHintType.CHARACTER_SET, Constants.UTF8);
        map.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.M);
        map.put(EncodeHintType.MARGIN, 2);
        try {
            BitMatrix bitMatrix = new MultiFormatWriter().encode(qrCode, BarcodeFormat.QR_CODE, height, height, map);
            MatrixToImageWriter.writeToPath(bitMatrix, format, new File(imgPath).toPath());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
